#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-2fb8f0d94f56c26d2cd43c9455b0d095
key: crypt_6SqIBbIOYlV3K1MK0txiGO
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.PubKey.RSA Crypto.PubKey.RSA.PKCS15 Crypto.PubKey.RSA.OAEP
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim Crypto.PubKey.DSA
    Crypto.PubKey.DH Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.ECC.DH Crypto.PubKey.ECC.ECDSA
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/crypto-pubkey-0.2.8
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/crypto-pubkey-0.2.8
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-6SqIBbIOYlV3K1MK0txiGO
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    byteable-0.1.1-a7278182e3643648d81716d02a7463ff
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    crypto-numbers-0.2.7-93628fa488fdfc40d232660290883cd6
    crypto-pubkey-types-0.4.3-6e01adf22984aa13776834edabe111d9
    crypto-random-0.0.9-76e282c64bd75b948598ed007038a01a
    cryptohash-0.11.6-5725d7bed73909c57bba6df3f8c2a790
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/crypto-pubkey-0.2.8/html/crypto-pubkey.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/crypto-pubkey-0.2.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
